Burns

The burns API provide users the entries to burn the NFTs.

Burn NFTs

Burn NFT by Admin

The Burn NFT by Admin API helps users to burn the corresponding NFT.

Burn NFT

post
/v1/burns

Burn NFT by admin

Authorizations
Header parameters
AuthorizationstringRequired

Bearer Open_JWT

Body
amountintegerOptional
chainstring · enumRequiredPossible values:
contract_addressstringRequired
contract_typestring · enumRequiredPossible values:
token_idstringRequired
userstringOptional
Responses
chevron-right
200

OK

application/json
amountintegerOptional
app_idintegerOptional
block_reasonall ofOptional

没有发送到tx engine的原因,比如余额不足或网络错误等

integer · enumOptionalPossible values:
chain_idintegerOptional
chain_typeintegerOptional
contractstringOptional
contract_typeintegerOptional
created_atstringOptional
errorstringOptional
hashstringOptional
idintegerOptional
statusintegerOptional

0-pending, 1-success, 2-failed

token_idstringOptional
tx_idintegerOptional
updated_atstringOptional
userstringOptional
post
/v1/burns
Name
Meaning
Param Type
Data Type

Authorization

Bearer Token

Header

string

circle-info

The token_id is the number like "123", which type is string

Query Operations

Query specific Burning NFT information

The Query specific Burning NFT information API helps users to query burning record according to id.

Burn NFT detail

get
/v1/burns/{id}

Get NFT Burn detail info

Authorizations
Path parameters
idintegerRequired

id

Header parameters
AuthorizationstringRequired

Bearer Open_JWT

Responses
chevron-right
200

OK

application/json
amountintegerOptional
app_idintegerOptional
block_reasonall ofOptional

没有发送到tx engine的原因,比如余额不足或网络错误等

integer · enumOptionalPossible values:
chain_idintegerOptional
chain_typeintegerOptional
contractstringOptional
contract_typeintegerOptional
created_atstringOptional
errorstringOptional
hashstringOptional
idintegerOptional
statusintegerOptional

0-pending, 1-success, 2-failed

token_idstringOptional
tx_idintegerOptional
updated_atstringOptional
userstringOptional
get
/v1/burns/{id}
Name
Meaning
Param Type
Data Type

Authorization

Bearer Token

Header

string

Query Burning List

The Query Burning List API helps users to query burning list.

Obtain the burned NFTs list

get
/v1/burns

Get the NFT burned list information.

Authorizations
Header parameters
AuthorizationstringRequired

Bearer Open_JWT

Responses
chevron-right
200

OK

application/json
countintegerOptional
get
/v1/burns
Name
Meaning
Param Type
Data Type

Authorization

Bearer Token

Header

string

Last updated